Bug 59629 - Crash in AccessibilityRenderObject while viewing PDFs in iframes
Summary: Crash in AccessibilityRenderObject while viewing PDFs in iframes
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Frames (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh Intel OS X 10.6
: P1 Normal
Assignee: chris fleizach
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2011-04-27 13:39 PDT by Kevin
Modified: 2011-05-01 09:07 PDT (History)
3 users (show)

See Also:


Attachments
Stack trace (43.93 KB, text/plain)
2011-04-27 13:39 PDT, Kevin
no flags Details
patch to check building (1.54 KB, patch)
2011-04-28 11:56 PDT, chris fleizach
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin 2011-04-27 13:39:12 PDT
Created attachment 91336 [details]
Stack trace

Webkit Nigtlies r83376 and r84622 both crash when a PDF within an iframe is clicked (scroll bar or elsewhere).  Webpages within iframes load and behave normally.  

Occurs for PDFs of any length, but scrolling behaves normally.

A stack trace is attached.
Comment 1 Kevin 2011-04-27 13:45:33 PDT
> when a PDF within an iframe is clicked (scroll bar or elsewhere).

A little more testing and it seems it's left-clicking and dragging that causes the crash.

Middle-clicking hangs Webkit until a click is placed outside of the iframe.

Right-click behaves normally.
Comment 2 Alexey Proskuryakov 2011-04-27 21:58:11 PDT
<rdar://problem/9350173>
Comment 3 chris fleizach 2011-04-28 11:56:24 PDT
Created attachment 91534 [details]
patch to check building
Comment 4 WebKit Commit Bot 2011-05-01 09:07:30 PDT
Comment on attachment 91534 [details]
patch to check building

Clearing flags on attachment: 91534

Committed r85414: <http://trac.webkit.org/changeset/85414>
Comment 5 WebKit Commit Bot 2011-05-01 09:07:34 PDT
All reviewed patches have been landed.  Closing bug.